import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { AVB17221AECPAddressAccessTLVMode } from "./AVB17221AECPAddressAccessTLVMode.js";
export declare class _AVB17221AECPAddressAccessTLV extends _NSObject {
    static alloc(): _AVB17221AECPAddressAccessTLV;
    static new(): _AVB17221AECPAddressAccessTLV;
    init(): _AVB17221AECPAddressAccessTLV;
    /** The mode field of the Address Access TLV. */
    mode(): AVB17221AECPAddressAccessTLVMode;
    setMode$(value: AVB17221AECPAddressAccessTLVMode): void;
    /** The address field of the Address Access TLV. */
    address(): number;
    setAddress$(value: number): void;
    /** The memory_data field of the Address Access TLV. */
    memoryData(): _NSData | null;
    setMemoryData$(value: _NSData | null): void;
}
